<?php

namespace App\Http\Middleware;

use Closure;

class CheckSign
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $sign = $request->input('sign', '');
        $key = 'a!A&AFRWT65Nb3NlklezUiqHyQAA@Z8M';
        $params = $request->except('_url');
        if ($sign == _sign($params, $key)) {
            return $next($request);
        } else {
            return response()->error('QAPP_SIGN_ERROR');
        }
    }
}
